# FinderConfiguration class

The finder view is a rectangular overlay view that clips the camera view, so that the detection will focus just a specific area. You can specify the size and positioning, as well as other UI properties. Set this property to `true` if you want to use the Finder View, `false` otherwise (default: false)

Annotations
  - @JsonSerializable(createFactory: false, includeIfNull: false, explicitToJson: true)

## Constructors

FinderConfiguration.new({required BoxDecoration decoration, Color? backgroundColor, AspectRatio? finderAspectRatio, Widget? widget, Widget? topWidget, Widget? bottomWidget, Insets? finderInsets = const Insets(left: 20, right: 20, bottom: 20, top: 20), OnFinderRectChange? onFinderRectChange})

## Properties

backgroundColor ↔ Color?
  The overlay background color, around the finder view rectangle
  getter/setter pair
bottomWidget ↔ Widget?
  Something that should be shown below the finder view window
  getter/setter pair
decoration ↔ BoxDecoration
  The shape by which background will be clipped and which will be presented as finder hole
  getter/setter pair
finderAspectRatio ↔ AspectRatio?
  The finder view rectangle aspect ratio
  getter/setter pair
finderInsets ↔ Insets?
  The finder view Insets. You can use it to move the finder view rectangle around the screen and to set borders around it.
  getter/setter pair
hashCode → int
  The hash code for this object.
  no setter inherited
onFinderRectChange → OnFinderRectChange?
  Triggers when the finder area is changed, it's helpful to align some content on top of the finder
  final
runtimeType → Type
  A representation of the runtime type of the object.
  no setter inherited
topWidget ↔ Widget?
  Something that should be shown under the finder view window
  getter/setter pair
widget ↔ Widget?
  This widget will be drawn inside of the finder hole. Here you can add some custom design, for example, with qr code placeholder
  getter/setter pair

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toJson() → Map<String, dynamic>
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited